# -*- Mode:Python; indent-tabs-mode:nil; tab-width:4 -*-
#
# Copyright 2023 Canonical Ltd.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License version 3 as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Account model for the Store."""
from typing import Optional

from pydantic import Field

from ._base_model import MarshableModel


class AccountModel(MarshableModel):
    """A Store account."""

    display_name: Optional[str] = Field(default=None, alias="display-name")
    email: Optional[str] = None
    id: str
    username: Optional[str] = None
    validation: Optional[str] = None
